<?php
/*****************************************************************************\
+-----------------------------------------------------------------------------+
| Fast-Sales Pro                                                              |
| Copyright (c) 2007-2009 Fsales development group <support@fast-sales.ru>    |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ  THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" |
| FILE PROVIDED WITH THIS DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE  |
| AT THE FOLLOWING URL: http://fast-sales.ru/fsales_pro_license.html          |
|                                                                             |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| THIS SOFTWARE   PROGRAM   AND  ASSOCIATED  DOCUMENTATION   THAT  Fsales     |
| development group (hereinafter  referred to as "THE AUTHOR") IS FURNISHING  |
| OR MAKING AVAILABLE TO YOU WITH  THIS  AGREEMENT  (COLLECTIVELY,  THE       |
| "SOFTWARE"). PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS       |
| LICENSE AGREEMENT CAREFULLY   BEFORE   INSTALLING   OR  USING  THE          |
| SOFTWARE.  BY INSTALLING, COPYING   OR   OTHERWISE   USING   THE            |
| SOFTWARE,  YOU  AND  YOUR  COMPANY (COLLECTIVELY,  "YOU")  ARE  ACCEPTING   |
| AND AGREEING  TO  THE TERMS OF THIS LICENSE   AGREEMENT.   IF  YOU    ARE   |
| NOT  WILLING   TO  BE  BOUND BY THIS AGREEMENT, DO  NOT INSTALL OR USE THE  |
| SOFTWARE.  VARIOUS   COPYRIGHTS   AND OTHER   INTELLECTUAL   PROPERTY       |
| RIGHTS    PROTECT   THE   SOFTWARE.  THIS AGREEMENT IS A LICENSE AGREEMENT  |
| THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE THE  SOFTWARE   AND  NOT  AN     |
| AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE. THE AUTHOR RETAINS ALL RIGHTS|
| NOT EXPRESSLY GRANTED BY THIS AGREEMENT.                                    |
|                                                                             |
| The Initial Developers of the Original Code are Fsales development group    |
| Portions created by Fsales development group are Copyright (C) 2007-2009    |
| Fsales development group. All Rights Reserved.                              |
+-----------------------------------------------------------------------------+
\*****************************************************************************/

if (!defined('ROOT_DIR')) {
	define('ROOT_DIR', '../');
}

session_start();

#
# Установка директив php.ini
#
@ini_set('memory_limit',             '32M');
@ini_set('max_execution_time',       '0');
@ini_set('session.use_only_cookies', '1');
@ini_set('session.use_cookies',      '1');
@ini_set('session.use_trans_sid',    '0');
@ini_set('display_errors',           '1');
@ini_set('magic_quotes_runtime',     '0');
@ini_set('magic_quotes_sybase',      '0');

define('_FAST_SALES_STARTED_', true);

if (!defined('BASE_URL')) {
	// Определяем BASE_URL
	$uri = rtrim(dirname($_SERVER['REQUEST_URI']), '\\/');
	
	if (substr($uri, -7) != 'install') {
		$base_url = 'http://'.$_SERVER['HTTP_HOST'].$uri.'/';
	} else {
		$base_url = rtrim('http://'.$_SERVER['HTTP_HOST'].substr($uri, 0, strlen($uri) - 7), '\\/').'/';
	}
	
	define('BASE_URL', $base_url);
}

require ROOT_DIR.'includes/functions.php';
require ROOT_DIR.'includes/classes/DB.class.php';
require ROOT_DIR.'includes/classes/Mail.class.php';
require ROOT_DIR.'includes/classes/Security.class.php';

error_reporting(0);













// =================================== Функции ================================
function fn_setup_smarty_init() {
	require ROOT_DIR.'includes/libs/smarty/Smarty.class.php';
	
	$SMARTY = new Smarty;
	$SMARTY->compile_dir    = ROOT_DIR.'install/templates_c';
	$SMARTY->template_dir   = ROOT_DIR.'install/templates';
	$SMARTY->compile_check  = true;
	
	return $SMARTY;
}

function fn_setup_smarty_vars() {
	global $SMARTY;
	
	$SMARTY->assign('BASE_URL',  BASE_URL);
	$SMARTY->assign('TPLS_PATH', BASE_URL.'install/templates/');
	$SMARTY->assign('LIBS_PATH', BASE_URL.'includes/libs/');
	$SMARTY->assign('IMGS_DIR',  BASE_URL.'install/templates/images/');
}










// ===================================== Код ==================================

$err  = array();
$msgs = array();

$SMARTY = fn_setup_smarty_init();

if (get_magic_quotes_gpc()) {
	func_stripslashes($_GET);
	func_stripslashes($_POST);
	func_stripslashes($_COOKIE);
	func_stripslashes($_REQUEST);
	
	if (isset($_SERVER['PHP_AUTH_USER'])) {
		func_stripslashes($_SERVER['PHP_AUTH_USER']);
	}
	
	if (isset($_SERVER['PHP_AUTH_PW'])) {
		func_stripslashes($_SERVER['PHP_AUTH_PW']);
	}
}

mb_internal_encoding('UTF-8');
mb_regex_encoding('UTF-8');

if (function_exists('date_default_timezone_set')) {
	date_default_timezone_set('Europe/Moscow');
}

fn_setup_smarty_vars();

?>